Subject: Re: bug#22975: 25.0.92; CANNOT_DUMP build can't start in tty mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Mar 2016 18:46:33 +0200

> Date: Sun, 13 Mar 2016 13:08:06 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > In tty mode, the CANNOT_DUMP version get stuck in a loop at startup
>  > complaining that internal-echo-keystrokes-prefix isn’t defined.  If I
>  > set a breakpoint on Fsignal, it’s first complaining about
>  > window--resize-root-window-vertically when trying to display the long
>  > load path, presumably terminating the processing of loadup.el;
> 
> Can you please try adding a placeholder function like Paul did with
> Fframe_windows_min_size and Fwindow__sanitize_window_sizes.

How can we know what these placeholders should do, without seeing
which code calls them?